Create a custom field
Create a custom field on an item or rental. Specify the definition either by definitionId, or by key and ownerType.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
ID of the item or rental to attach the custom field to.
Value of the custom field. For an image field (beta, for shops with the improved custom fields; others get a 403), comma-separated signedIds from POST /custom_field_uploads.
ID of the custom field definition. Required if key/owner_type not provided.
Key of the custom field definition. Required with owner_type if definition_id not provided.
Type of owner resource. Required with key if definition_id not provided.
item, rental Response
Custom field created successfully
Numeric ID of the custom field.
ID of the item or rental that owns this custom field.
Type of the owner resource. Rental is the legacy spelling of Cycle, returned only for rows created before the Rental -> Cycle data backfill.
Item, Cycle, Rental ID of the custom field definition.
Key of the custom field definition.
Raw stored value of the custom field.
Typed JSON value of the custom field (format depends on definition type). An image field gives { key, filename, contentType, byteSize, url, thumbnailUrl } per image (an array when the definition is a list); url and thumbnailUrl are signed and expire after an hour, and thumbnailUrl is null until the thumbnail has been generated. Image fields are in beta (see CustomFieldDefinition.type).